var maploc;
var mapto;
var LaunchAction;

function AppAssistant(appController) {
    this.appController = appController;
}
    
AppAssistant.prototype.setup = function() {

};

AppAssistant.prototype.handleLaunch = function(appLaunchParams) {
	
	// focus the stage controller if we have one
	if (Mojo.Controller && Mojo.Controller.stageController) {	
			Mojo.Controller.stageController.activate();
			this.resolveLaunch(appLaunchParams);
		 switch (LaunchAction) {
			 case 'maploc':
			   this.controller.getStageController("").delegateToSceneAssistant('handleMapLoc', maploc);
			   break;
			 case 'mapto':
			  this.controller.getStageController("").delegateToSceneAssistant('handleMapTo', mapto);
			  break;
      };
			
	}
	
	// if there are any launch params
	if (appLaunchParams.target != undefined && appLaunchParams.target != "") {
		this.resolveLaunch(appLaunchParams);
	}

};

AppAssistant.prototype.resolveLaunch = function(appLaunchParams) {


	
	
// if there are any launch params
	if (appLaunchParams.target != undefined && appLaunchParams.target != "") {
		
		var foundIndex = appLaunchParams.target.indexOf("mapto:");
		if (foundIndex >= 0) {
			mapto = appLaunchParams.target.substr(foundIndex + "mapto:".length);
			LaunchAction = "mapto";
		}
		else {
			foundIndex = appLaunchParams.target.indexOf("maploc:"); //toto je co me zajima!
			if (foundIndex >= 0) {
				maploc = appLaunchParams.target.substr(foundIndex + "maploc:".length);
				LaunchAction = "maploc";
			}
			else {
				LaunchAction = undefined;
			}
		}
	}

};

function StageAssistant() {
}

StageAssistant.prototype.setup = function() {

//Mojo.Log.info("********* CO HLEDAM ************: %s", query);	
//Mojo.Log.info("********* MAPLOC ************:", maploc);
this.controller.pushScene({name: "main", disableSceneScroller: true}, { Action: LaunchAction, maploc: maploc, mapto: mapto});
this.controller.setWindowOrientation("free");
};



